### Method

# Ide SearchReducer free

#### Declaration

    GPtrArray*
    ide_search_reducer_free (
      IdeSearchReducer* reducer,
      gboolean free_results
    )

#### Description

Frees all items associated with the result set, unless `free_results` is `FALSE` and then the results are returned as an array.

Available since: | 3.32

#### Parameters

`free_results` | `gboolean`
| `TRUE` if the results should be discarded.

#### Return value

Returns: | An array of `None`
| An array of `IdeSearchResult` unless `free_results` is `TRUE`, then `NULL` is returned.
| The caller of the method takes ownership of the data container, but not the data inside it.
| The return value can be `NULL`.